using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using ПроверкаПродукции;

namespace UnitTest
{
    [TestClass]
    public class UnitTest1
    {
        [TestMethod]
        public void GetDlinProd_return_40() // Проверка правильности подсчёта погрешности длины
        {
            double expected = 40;
            double act = Decision.GetDlinProd();
            Assert.AreEqual(expected, act);
        }
        [TestMethod]
        public void GetDiametrProd_return_0_25() // Проверка правильности подсчёта погрешности диаметра
        {
            double a = 25;
            double expected = 0.25;
            double act = Decision.GetDiametrProd(a);
            Assert.AreEqual(expected, act);
        }
        [TestMethod]
        public void ProverkaShirin_return_false() // Проверка модуля который определяет соответствие изделия (если изделие соотсветсвует)
        {
            string prod = "PN10";
            double shirina = 24.946;
            bool expected = false;
            bool act = Decision.ProverkaShirin(prod, shirina);
            Assert.AreEqual(expected, act);
        }
        [TestMethod]
        public void ProverkaShirin_return_true() // Проверка модуля который определяет соответствие изделия (если изделие не соотсветсвует)
        {
            string prod = "PN10";
            double shirina = 32.329;
            bool expected = false;
            bool act = Decision.ProverkaShirin(prod, shirina);
            Assert.AreEqual(expected, act);
        }
    }
}
